# TdApi.ChatList (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatList

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatList

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatList

Direct Known Subclasses:
  `TdApi.ChatListArchive`, `TdApi.ChatListFolder`, `TdApi.ChatListMain`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.ChatList extends TdApi.Object permits TdApi.ChatListMain, TdApi.ChatListArchive, TdApi.ChatListFolder
This class is an abstract base class. Describes a list of chats.

## Constructor Summary

Constructors
Constructor
Description
`ChatList()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChatList

public ChatList()
Default class constructor.